# ducene

An instant search library for Dart.

[![Pub](https://img.shields.io/badge/Pub-v0.5.0-orange.svg)](https://pub.dartlang.org/packages/ducene)
[![Build Status](https://travis-ci.org/ouava/ducene.svg?branch=master)](https://travis-ci.org/ouava/ducene)
[![License](https://img.shields.io/badge/License-BSD%203--Clause-blue.svg)](https://bitbucket.org/ouava/ducene/raw/fb77a5ebe9fa78d6849778fe8d0bf066422d7a92/LICENSE)

## Demo

[Pub Search][url] : ducene + angular2 + firebase. The loading takes 15+ seconds.

[url]: https://ouava.github.io/#/pubsearch

## Usage

A simple usage example:

```
Future main() async {
  // open an index holder
  IndexHolder index = await DirectoryHolder.open(new RAMIndexHolderDirectory());
  // prepare documents
  List<Document> docs = [new Document()...];
  // add or update documents
  await index.updateDocuments(docs);
  // open a searcher
  IndexSearcher searcher = await index.newIndexSearcher();
  // count by query
  int count = await searcher.count(new BoolQuery()...);
}
```

## Features and bugs

Please file feature requests and bugs at the [issue tracker][tracker].

[tracker]: https://bitbucket.org/ouava/ducene/issues
